Application: gvSIG desktop - gvSIG feature requests #1543
Hacer obserbable el EditionManager
01/10/2013 09:46 AM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-rc4

gvSIG version: 2.0.0 Add-on resolve version:
Keywords: Add-on resolve build:

Has patch: No Proyecto:

Add-on name: Tools: Geometry editing (org.gvsig.editing) Hito:

Add-on version:

Description

Hacer observable el editionManager y que todas las operaciones de insercion de geometrias y features pasen por el de forma que se
pueda observar cuando se insertan o modifican geometrias.

Associated revisions

Revision 39578 - 01/10/2013 03:48 AM - Joaquin del Cerro Murciano

Make EditionManager observable.
references #1543

Revision 39591 - 01/11/2013 03:21 AM - Joaquin del Cerro Murciano

Add the getEditionManager(ViewDocument view) method that gives us the associated EditionManager of the view.

references #1543

History

#1 - 01/10/2013 10:00 AM - Joaquin del Cerro Murciano

- Assignee changed from Joaquin del Cerro Murciano to Juan Lucas Dominguez

#2 - 01/10/2013 02:23 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

'Stop editing' now managed by Ed Manager API. Added notifications.

gvsig-desktop:r39582

Test:

- Start editing in a SHP

- Do some changes

- Stop editing and choose several options (cancel, continue, save) and check it behaves as expected.

Repeat the previous steps with a layer that does not allow editing (example: DGN)
#3 - 02/26/2014 12:34 PM - Alvaro Anguix
- Status changed from Fixed to Closed
